

#include <FreqCounter.h>
//http://interface.khm.de/index.php/labor/experimente/theremin-as-a-capacitive-sensing-device/


//INPUT frecuency  PIN D5

#include <TM1638.h>
// define a module on data pin 8, clock pin 9 and strobe pin 7
TM1638 module(8, 9, 7);

    unsigned long frq;
    int cnt;
    
    char VARI[30];


void setup() 
{
  Serial.begin(9600);        // connect to the serial port
  Serial.println(" FRECUENCIMETRO ");
  Serial.println("================");

  module.setupDisplay(1, 0); //luz
  module.setDisplayToString("FrECU   ", 0, 0);
  delay(1000);
}

void loop() 
{
   // wait if any serial is going on
  FreqCounter::f_comp=10;   // Cal Value / Calibrate with professional Freq Counter
  FreqCounter::start(100);  // 100 ms Gate Time

  while (FreqCounter::f_ready == 0) 

  frq=FreqCounter::f_freq;
  frq*=10;
  Serial.print(cnt++);  Serial.print("  Frecuencia= ");  Serial.println(frq);
  sprintf(VARI, "%8lu", frq);
  module.setDisplayToString(VARI, 0, 0);
  delay(200);
  
}
